%define name		rekall
%define fversion	2.4.5
%define	rev             0 
%define cvs		%nil
%define release         %mkrel 1 
%define libmajor	0
%define libname		%mklibname %name %libmajor 
%define __libtoolize    /bin/true

Summary:	Rekall: A KDE database front end
Name:		%{name}
Version:	%{fversion}
Release:	%{release}
Epoch:          1
Group:		Databases
Source: 	%{name}-%{fversion}.tar.gz
Patch2:		rekall-2.4.5-64bitfix.patch
Patch3:		rekall-2.4.5-gcc4.patch
Patch4:		rekall-2.4.5-noldconfig.patch
Patch6:		rekall-2.4.5-lib64.patch
Patch7:		rekall-2.4.5-python25.patch
Patch8:		rekall-2.4.5-qt3-kdedocdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	GPL
URL:		http://www.rekallrevealed.org/
BuildRequires:  libxslt-proc scons libxml2-devel
BuildRequires:  kdelibs-devel
BuildRequires:  python-devel 
BuildRequires:  xbase 
BuildRequires:  mysql-devel
BuildRequires:  X11-devel
BuildRequires:  xbsql-devel
BuildRequires:	unixODBC-devel
BuildRequires:	sqlite3-devel
BuildRequires:	flex
BuildRequires:	bison
Requires:	rekall-extra
Requires:	rekall-python xbase
Requires:	rekall-docs rekall-runtime
Obsoletes:	rekall-common
Provides:	rekall-runtime = %{version}-%{release}
Obsoletes:	rekall-runtime
Provides:	%libname-runtime
Obsoletes:	%libname-runtime

%description
Rekall - A KDE database front end

%package -n %libname
Summary:	Rekall - Libraries
Group:		System/Libraries
Provides:	lib%name = %epoch:%version-%release
Provides:       devel(libkbase_wizard)
Provides:	librekall2 
Obsoletes:     librekall2   

%description -n %libname
Rekall - Libraries

%package  docs
Summary:	Rekall- Documentation
Group:		Databases

%description  docs
Rekall - Documentation

%package  extra
Summary:	Rekall- Extra stuff
Group:		Databases
Requires:       lib%name-extra = %epoch:%version-%release
 
%description  extra
Rekall - Extra stuff

%package -n %libname-extra
Summary:	Libraries for Rekall extra stuff
Group:		System/Libraries
Provides:	lib%name-extra = %epoch:%version-%release
Provides:	librekall2-extra
Obsoletes:     librekall2-extra

%description -n %libname-extra
Libraries for Rekall extra stuff

%package  mysql
Summary:	Rekall- A KDE database front end: MySQL driver
Group:		Databases
BuildRequires:	mysql-devel
Requires:        lib%name-mysql = %epoch:%version-%release
Obsoletes:	rekall-drivers	

%description  mysql
Rekall - A KDE database front end: MySQL driver

%package -n %libname-mysql
Summary:	Libraries for Rekall MySQL driver
Group:		System/Libraries
Provides:	lib%name-mysql = %epoch:%version-%release
Provides:	librekall2-mysql
Obsoletes:     librekall2-mysql

%description -n %libname-mysql
Libraries for Rekall MySQL driver

%package  pgsql
Summary:	Rekall- PgSQL driver
Group:		Databases
BuildRequires:	postgresql-devel
Requires:       lib%name-pgsql = %epoch:%version-%release
Obsoletes:	rekall-drivers

%description  pgsql
Rekall - PgSQL driver

%package -n %libname-pgsql
Summary:	Libraries for Rekall PgSQL driver
Group:		System/Libraries
Provides:	lib%name-pgsql = %epoch:%version-%release
Provides:	librekall2-pgsql
Obsoletes:     librekall2-pgsql

%description -n %libname-pgsql
Libraries for Rekall PgSQL driver

%package sqlite
Summary: Rekall SQLite support
Group: System/Libraries
Requires: %libname-sqlite = %epoch:%version-%release

%description sqlite
SQLite components and scripts for Rekall.

%package -n %libname-sqlite
Summary: Libraries for Rekall SQLite support
Group: System/Libraries
Provides: lib%name-sqlite = %epoch:%version-%release
Provides: librekall2-sqlite

%description -n %libname-sqlite
Libraries for Recall SQLite components and scripts.

%package odbc
Summary: Rekall ODBC support
Group: System/Libraries
Requires: %libname-odbc = %epoch:%version-%release

%description odbc
ODBC components and scripts for Rekall.

%package -n %libname-odbc
Summary: Libraries for Rekall ODBC support
Group: System/Libraries
Provides: lib%name-odbc = %epoch:%version-%release
Provides: librekall2-odbc

%description -n %libname-odbc
Libraries for Recall ODBC components and scripts.

%package  python
Summary:	Rekall- Full python interpreter
Group:		Databases
Requires:       lib%name-python = %epoch:%version-%release
Conflicts:	rekall-python-commom
Conflicts:	rekall-python-runtime

%description  python
Rekall - Full python interpreter

%package -n %libname-python
Summary: 	Libraries for Rekall python interpreter
Group:		System/Libraries
Provides:	lib%name-python = %epoch:%version-%release
Provides:	librekall2-python
Obsoletes:     librekall2-python

%description -n %libname-python
Libraries for Rekall python interpreter

%prep
%setup -q -n %{name}-%{fversion}  
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%ifarch sparc64 alpha x86_64 ia64
%patch6 -p1
%endif
%patch7 -p1
%patch8 -p1

%build
export KDEDIR=%{_prefix}
PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS\' | sed "s/ /',/g" | sed "s/',/', '/g"`
sed -i "s|'-Wall'|[$PARSED_OPT_FLAGS]|" scons/rkBuilder.py
echo "prefix=%{_prefix}" >> scons/settings.qt3
echo "with-mysql-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-pcre-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-pgsql-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-python-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-qt-includes=%{qt3include}" >> scons/settings.qt3
echo "with-qt-libraries=%{qt3lib}" >> scons/settings.qt3
echo "with-sqlite3-libraries=%{_libdir}" >> scons/settings.qt3
echo "with-odbc-libraries=%{_libdir}" >> scons/settings.qt3
cp scons/settings.qt3 settings.qt3
cp scons/Makefile .

make config.qt3
make qt3

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install.qt3

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

##CAE fix location for rekall/rekallrt.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m0644 kbase/rekall.desktop $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category="Application" \
  --add-category="Office" \
  --add-mime-type="Application/x-rlk" \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# No need to have this file twice.
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/rekallqt/LICENSE

# Nuke .la files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

#icons 
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekallqt/icons/hicolor/16x16/apps/rekall.png $RPM_BUILD_ROOT/%{_miconsdir}
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekallqt/icons/hicolor/32x32/apps/rekall.png $RPM_BUILD_ROOT/%{_iconsdir} 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekallqt/icons/hicolor/48x48/apps/rekall.png $RPM_BUILD_ROOT/%{_liconsdir} 
 
cd $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/rekallqt rekall
ln -s %{_bindir}/rekallqtManual rekallManual

# rekall needs these files to exist as .so to function properly.
cd $RPM_BUILD_ROOT%{_libdir}
for i in *.so.245; do
  NEWNAME=`echo $i | sed 's/.245//'`;
  ln -s $i $NEWNAME;
done

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-extra -p /sbin/ldconfig
%postun -n %libname-extra -p /sbin/ldconfig

%post -n %libname-mysql -p /sbin/ldconfig
%postun -n %libname-mysql -p /sbin/ldconfig

%post -n %libname-pgsql -p /sbin/ldconfig
%postun -n %libname-pgsql -p /sbin/ldconfig

%post -n %libname-python -p /sbin/ldconfig
%postun -n %libname-python -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/rekall
%{_bindir}/rekallqt
%{_bindir}/rkdcop
%dir %{_datadir}/apps/rekallqt
%{_datadir}/applications/rekall.desktop
%{_datadir}/apps/rekallqt/dict/
%{_datadir}/apps/rekallqt/gui/
%{_datadir}/apps/rekallqt/highlights/
%{_datadir}/apps/rekallqt/icons/
%{_datadir}/apps/rekallqt/keymap*
%{_datadir}/apps/rekallqt/pics/
%{_datadir}/apps/rekallqt/rekall.png
%{_datadir}/apps/rekallqt/rekall_lite.png
%{_datadir}/apps/rekallqt/services/kdeparts.lst
%{_datadir}/apps/rekallqt/services/rekall_component.desktop
%{_datadir}/apps/rekallqt/services/rekall_copier.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_xbase.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_dbtcp.desktop
%{_datadir}/apps/rekallqt/services/rekall_driver_test.desktop
%{_datadir}/apps/rekallqt/services/rekall_dummy.desktop
%{_datadir}/apps/rekallqt/services/rekall_editor.desktop
%{_datadir}/apps/rekallqt/services/rekall_form.desktop
%{_datadir}/apps/rekallqt/services/rekall_macro.desktop
%{_datadir}/apps/rekallqt/services/rekall_plugin_scriptall.desktop
%{_datadir}/apps/rekallqt/services/rekall_query.desktop
%{_datadir}/apps/rekallqt/services/rekall_report.desktop
%{_datadir}/apps/rekallqt/services/rekall_script_kjs.desktop
%{_datadir}/apps/rekallqt/services/rekall_script_kjs_client.desktop
%{_datadir}/apps/rekallqt/services/rekall_table.desktop
%{_datadir}/apps/rekallqt/script/
%{_datadir}/apps/rekallqt/stock/
%{_datadir}/apps/rekallqt/test/
%{_datadir}/apps/rekallqt/wizards/
%{_miconsdir}/rekall.png
%{_iconsdir}/rekall.png
%{_liconsdir}/rekall.png

%files  docs 
%defattr(-,root,root)
%doc AUTHORS README.FIRST Release.Notes
%{_bindir}/rekallManual
%{_bindir}/rekallqtManual
%{_datadir}/apps/rekallqt/manual/

%files -n %libname
%defattr(-,root,root)
%{_libdir}/librekallqt_common.so*
%{_libdir}/librekallqt_kde.so*
%{_libdir}/librekallqt_kjs.so*
%{_libdir}/librekallqt_script_kjs.so*
%{_libdir}/librekallqt.so*
%{_libdir}/librekallqt_app.so*
%{_libdir}/librekallqt_componentview.so*
%{_libdir}/librekallqt_copierview.so*
%{_libdir}/librekallqt_driver_dbtcp.so*
%{_libdir}/librekallqt_driver_xbase.so*
%{_libdir}/librekallqt_driver_test.so*
%{_libdir}/librekallqt_editor.so*
%{_libdir}/librekallqt_el32.so*
%{_libdir}/librekallqt_formview.so*
%{_libdir}/librekallqt_macroview.so*
%{_libdir}/librekallqt_queryview.so*
%{_libdir}/librekallqt_reportview.so*
%{_libdir}/librekallqt_rkdcop.so*
%{_libdir}/librekallqt_tableview.so*
%{_libdir}/librekallqt_scriptall.so*
%{_libdir}/librekallqt_support_dbtcp.so*
%{_libdir}/librekallqt_support_xbase.so*
%{_libdir}/librekallqt_support_xbsql.so*
%{_libdir}/librekallqt_wizard.so*

%files extra
%defattr(-, root, root)
%{_datadir}/apps/rekallqt/services/rekall_plugin_extra.desktop

%files -n %libname-extra
%{_libdir}/librekallqt_plugin_extra.so*


%files  mysql
%defattr(-,root,root)
%{_datadir}/apps/rekallqt/services/rekall_driver_mysql.desktop

%files -n %libname-mysql
%defattr(-,root,root)
%{_libdir}/librekallqt_driver_mysql.so*

%files  pgsql
%defattr(-,root,root)
%{_datadir}/apps/rekallqt/services/rekall_driver_pgsql.desktop

%files -n %libname-pgsql
%defattr(-,root,root)
%{_libdir}/librekallqt_driver_pgsql.so*

%files sqlite
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_sqlite3.desktop

%files -n %libname-sqlite
%{_libdir}/librekallqt_driver_sqlite3.so*

%files odbc
%defattr(-, root, root, 0755)
%{_datadir}/apps/rekallqt/services/rekall_driver_odbc.desktop

%files -n %libname-odbc
%{_libdir}/librekallqt_driver_odbc.so*

%files  python 
%defattr(-,root,root)
%dir %{_datadir}/apps/rekallqt/stock/component/py
%{_datadir}/apps/rekallqt/stock/component/py/*
%dir %{_datadir}/apps/rekallqt/script/py
%{_datadir}/apps/rekallqt/script/py/*
%{_datadir}/apps/rekallqt/services/rekall_script_py.desktop
%{python_sitearch}/rkdcop.so

%files -n %libname-python
%defattr(-,root,root)
%{_libdir}/librekallqt_script_py.so*



%changelog
* Thu Jun 07 2007 Funda Wang <fundawang@mandriva.org> 1:2.4.5-1mdv2008.0
+ Revision: 36788
- fix -doc package file list
- use clean_desktop_database
- enable odbc driver
- Correct several libdir
- fix build requires
- update lib64 patch
- fix file list
  seperate odbc sub package
- correct noldconfig patch
  seperate sqlite package
- Merge patches from Fedora
- New version
  rediff patches


* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.4.0-2mdk
- fix buildrequires

* Sun Apr 30 2006 Spencer Anderson <sdander@mandriva.org> 2.4.0.0-1mdk
- 2.4.0
- use Fedora patches for gcc and x86_64
- drop patch1 (fixed upstream)
- first scons build
- switch to qt3 build

* Wed Dec 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.4.2-8mdk
- Fix BuildRequires

* Mon Dec 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.4.2-7mdk
- fix strange python package Requires

* Sun Dec 11 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.4.2-6mdk
- try to fix epoch effects on x86_64 by using epoch everywhere

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.4.2-5mdk
- Fix BuildRequires

* Sun Dec 11 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.4.2-4mdk
- fix build on x86_64
- fix files listed twice
- build requires mysql-devel

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.2.4.2-3mdk
- fix requires (#16468)

* Tue Nov 01 2005 Spencer Anderson <sdander@mandriva.org> 2.2.4-2mdk
- rebuild
- try to make rpmlint happier

* Wed Jun 29 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.4-1mdk
- 2.2.4

* Wed May 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.3.2-2mdk
- Rebuild for postgresql-devel 8.0.2

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.3.2-1mdk
- 2.2.3-2
- major is 0
- adjust requires
- rm p0
- add p1 to allow build with python-2.4
- add obsoletes librekall2 to ease upgrades
- chrpath no longer needed
- fix location of rekall/rekallrt.desktop
- misc spec fixes and updates

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Fix spec file

* Wed Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.1-1mdk
- 2.2.1
- rm requires for MySQL, postgresql

* Wed Jul 28 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-1mdk
- 2.2.0 final 
- adjust for upstream doc correction

* Fri Jul 02 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.beta4.4mdk
- fix provides
- specfile cleaning

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-0.beta4.3mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Wed May 26 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.1beta4.2mdk
- remove redundant configuration options
- buildrequires

* Thu May 20 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-0.beta4.1mdk
- 2.2.0-beta4
- sdd back missing doc files

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-0.beta3.1mdk
- 2.2.0-beta3
- add epoch and correct versioning
- use libtoolize /bin/true
- guiet setup
- requires/buildrequires
- fix doc build
- disable rpath
- list/add configure options
- don't use versioned dir for libs or *.la
- rm zero-length file
- fix dangling symlinks

* Tue Jan 27 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-1.beta1.1mdk
- include rekall-docs with rekall and rekall-runtime
- include rekall-xbase with rekall-runtime
- 2.2.0-beta1

* Sat Jan 24 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.5mdk
- remove explicite lib calls
- menu entries for rekall and rekall-runtime
- change groups for new menu structure

* Mon Jan 19 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.4mdk
- pre-configure
- break libs into full mklibname
- fix groups
- separate .la and .so files to a versioned directory
- reenable rpath ( doesn't work anyway for KDE and Qt3 libs )
- use proper major for libs
- use requires and provides that work

* Wed Jan 07 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.3mdk
- move libs to where they are supposed to be
- disable rpath
- remove redundant post and postun
- mklibname

* Tue Dec 30 2003 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.2mdk
- fix requires and provides

* Mon Dec 29 2003 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.1mdk
- don't use configure macro - breaks build
- initial Mandrake release 
- Happy New Year

